net.sourceforge.jnlp.controlpanel

## Class DocumentAdapter

- java.lang.Object
- - net.sourceforge.jnlp.controlpanel.DocumentAdapter

- All Implemented Interfaces:
    java.util.EventListener, javax.swing.event.DocumentListener

      public class DocumentAdapter
      extends java.lang.Object
      implements javax.swing.event.DocumentListener

  Updates the property as it happens.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentAdapter(DeploymentConfiguration config, java.lang.String property)` This creates a new instance of DocumentAdapter.
    `DocumentAdapter(java.lang.String[] fields, int index)` This creates a new instance of DocumentAdapter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changedUpdate(javax.swing.event.DocumentEvent e)`
    `void` | `insertUpdate(javax.swing.event.DocumentEvent e)`
    `void` | `removeUpdate(javax.swing.event.DocumentEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentAdapter

          public DocumentAdapter(java.lang.String[] fields,
                                 int index)

      This creates a new instance of DocumentAdapter.
      Parameters:
        `fields` - The list of property.
        `index` - Location of property to modify.

    - #### DocumentAdapter

          public DocumentAdapter(DeploymentConfiguration config,
                                 java.lang.String property)

      This creates a new instance of DocumentAdapter. This allows modifying the configuration directly.
      Parameters:
        `config` - ConfigurationFile containing the properties.
        `property` - Name of property to modify.

  - ### Method Detail

    - #### insertUpdate

          public void insertUpdate(javax.swing.event.DocumentEvent e)

      Specified by:
        `insertUpdate` in interface `javax.swing.event.DocumentListener`

    - #### removeUpdate

          public void removeUpdate(javax.swing.event.DocumentEvent e)

      Specified by:
        `removeUpdate` in interface `javax.swing.event.DocumentListener`

    - #### changedUpdate

          public void changedUpdate(javax.swing.event.DocumentEvent e)

      Specified by:
        `changedUpdate` in interface `javax.swing.event.DocumentListener`

Submit a bug or feature